### Enumeration

# Secret ServiceFlags

#### Declaration

    flags Secret.ServiceFlags

#### Description [src]

Flags which determine which parts of the `SecretService` proxy are initialized during a `secret_service_get()` or `secret_service_open()` operation.

#### Members

Name | Description
--- | ---
`SECRET_SERVICE_NONE` | No flags for initializing the `SecretService`.
`SECRET_SERVICE_OPEN_SESSION` | Establish a session for transfer of secrets while initializing the `SecretService`.
`SECRET_SERVICE_LOAD_COLLECTIONS` | Load collections while initializing the `SecretService`.